package com.unipi.talepis.creational;

public class StudentTelescoping {
    private final String email;
    private final String am;
    private final String name;
    private final int etos_eggrafis;
    private final String telephone;
    private final boolean undergraduate;

    public StudentTelescoping(String email, String am, String name, int etos_eggrafis, String telephone, boolean undergraduate) {
        this.email = email;
        this.am = am;
        this.name = name;
        this.etos_eggrafis = etos_eggrafis;
        this.telephone = telephone;
        this.undergraduate = undergraduate;
    }
    public StudentTelescoping(String email, String am, String name, int etos_eggrafis, String telephone) {
        this(email,am,name,etos_eggrafis,telephone,false);
    }
    public StudentTelescoping(String email, String am, String name, int etos_eggrafis) {
        this(email,am,name,etos_eggrafis,"XXXXXX");
    }
    public StudentTelescoping(String email, String am, String name) {
        this(email,am,name,2000);
    }
    public StudentTelescoping(String email, String am) {
        this(email,am,"No-name");
    }

}
