package com.unipi.talepis.observer;

import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        Messenger unipiMessenger = new Messenger();
        Professor p1 = new Professor();
        Student s1 = new Student();
        unipiMessenger.addMessageListener(p1);
        unipiMessenger.addMessageListener(s1);
        unipiMessenger.addMessageListener(new MessageListener() {
            @Override
            public void onMessageReceived(String message) {
                System.out.println("I don't mind about messages");
            }
        });
        unipiMessenger.addMessageListener((m)-> System.out.println(
                "I read all messages:"+m
        ));
        Scanner scanner = new Scanner(System.in);
        while (true) {
            System.out.println("Give your message:");
            String receivedMessage = scanner.nextLine();
            if (receivedMessage.equals("exit"))
                return;
            unipiMessenger.newMessage(receivedMessage);
        }
    }
}