package com.unipi.talepis.observer;

import java.util.ArrayList;
import java.util.List;

public class Messenger {
    private List<MessageListener> messageListenerList = new ArrayList<>();

    void addMessageListener(MessageListener m){
        messageListenerList.add(m);
    }
    void removeMessageListener(MessageListener m){
        messageListenerList.remove(m);
    }
    void newMessage(String message){
        List<MessageListener> tempList = List.copyOf(messageListenerList);
        for(MessageListener ml : tempList)
            ml.onMessageReceived(message);
    }
}
